wubi et atheros ar5007eg

Le
Gilles RONSIN
Salut,

nième tentative d'une distribution linux. Il y a TOUJOURS quelque
chose qui foire :-(

J'ai installé wubi sur mon portable asus qui comporte une carte
atheros ar5007eg (et visiblement elle est spéciale)
J'ai donc une distribution Ubuntu active mais comme la carte wifi
n'est pas reconnue et que c'est ma seule connexion internet
disponible, impossible d'utiliser les tutos qui se basent tous sur
une connexion active.
J'ai téléchargé sous windows les packages nécessaires (un package
ndiswrapper et un package driver windows), copié les packages dans un
dossier accessible sous linux. Mais impossible de compiler le driver
ndiswrapper : erreur pour localiser les bibliothèques du c (par ex
stdio.h). Comment configurer le compilateur ?
les commandes sudo apt-get install update && sudo apt-get install
build-essential échoue également.
Merci pour vos conseils
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Samuel Colin
Le #15320681
Dixit Gilles RONSIN :
Salut,



Bonjour,

J'ai téléchargé sous windows les packages nécessaires (un package
ndiswrapper et un package driver windows), copié les packages dans un
dossier accessible sous linux. Mais impossible de compiler le driver
ndiswrapper : erreur pour localiser les bibliothèques du c (par ex
stdio.h). Comment configurer le compilateur ?



Ces headers se trouvent dans le paquet libc6-dev (qui est une des
dépendances de build-essential, normalement).

les commandes sudo apt-get install update && sudo apt-get install
build-essential échoue également.



C'est «apt-get update», tu as mis un «install» en trop.
Sinon si c'est un problème de connexion pour obtenir tout ça, tu peux
regarder «apt-cache depends build-essential» pour prendre les paquets
dont il dépend et ensuite tu les installes via «dpkg -i», tu auras ce
qu'il te faut pour compiler ndiswrapper et si tout se passe bien tu
auras le réseau.

Sinon ce lien http://www.talient.fr/?q=node/5 (via google) indique que
ta carte wifi commençait à être prise en compte par madwifi au début
de cette année, il est possible que le support ait commencé à se
stabiliser, c'est une autre piste à regarder.
Gilles RONSIN
Le #15376051
Samuel Colin 11 juil. 2008 12:18:44, écrivait ceci:

Bonjour,


Bonjour,

Ces headers se trouvent dans le paquet libc6-dev (qui est une des
dépendances de build-essential, normalement).



Hum. Le monde linux est quand même bien opaque pour les profanes ..

les commandes sudo apt-get install update && sudo apt-get install
build-essential échoue également.



C'est «apt-get update», tu as mis un «install» en trop.



J'ai tapé ça de mémoire. Comme je ne peux pas avoir Internet et Ubuntu
en simultané. Après vérification c'est bien

"Sous ubuntu Hardy Heron, il est préférable de taper :
sudo apt-get update && sudo apt-get install build-essential"

que j'ai tapé

Sinon si c'est un problème de connexion pour obtenir tout ça, tu
peux regarder «apt-cache depends build-essential» pour prendre les
paquets dont il dépend et ensuite tu les installes via «dpkg -i»,
tu auras ce qu'il te faut pour compiler ndiswrapper et si tout se
passe bien tu auras le réseau.



Effectivement j'ai un problème de connexion :-)
Ces commandes sont disponibles hors ligne ?

Sinon ce lien http://www.talient.fr/?q=node/5 (via google) indique
que ta carte wifi commençait à être prise en compte par madwifi au
début de cette année, il est possible que le support ait commencé
à se stabiliser, c'est une autre piste à regarder.



J'ai téléchargé le package et la page pour consultation sous Ubuntu.
Mais tant que je ne pourrais pas compiler je resterais dans la même
situation.
Merci en tout cas de t'être penché sur mon problème.
Gilles RONSIN
Le #15402091
Gilles RONSIN 19:39:54, écrivait ceci:

Re,
Sinon si c'est un problème de connexion pour obtenir tout ça, tu
peux regarder «apt-cache depends build-essential» pour prendre
les paquets dont il dépend et ensuite tu les installes via «dpkg
-i», tu auras ce qu'il te faut pour compiler ndiswrapper et si
tout se passe bien tu auras le réseau.



Effectivement j'ai un problème de connexion :-)
Ces commandes sont disponibles hors ligne ?



Encore une impasse.
Effectivement l'installation du build-essential débute, mais il me faut
insérer le CD d'Ubuntu. Comme U a été chargé par wubi, je n'en ai pas
d'image. Grrrrr
Samuel Colin
Le #16323111
Dixit Gilles RONSIN :

Ces headers se trouvent dans le paquet libc6-dev (qui est une des
dépendances de build-essential, normalement).



Hum. Le monde linux est quand même bien opaque pour les profanes ..



Tu t'en étais quand même bien sorti puisque tu avais deviné qu'il te
fallait build-essential.

"Sous ubuntu Hardy Heron, il est préférable de taper :
sudo apt-get update && sudo apt-get install build-essential"

que j'ai tapé



OK

Effectivement j'ai un problème de connexion :-)
Ces commandes sont disponibles hors ligne ?



Oui, dpkg et apt-cache font partie des commandes dites «de base» sur une
distribution basée sur Debian (telle que Ubuntu).

J'ai téléchargé le package et la page pour consultation sous Ubuntu.
Mais tant que je ne pourrais pas compiler je resterais dans la même
situation.



Essaie quand même de vérifier si madwifi existe et est à une version
récente dans ta Ubuntu. De quelle version de Ubuntu s'agit-il, au juste
?
Gilles RONSIN
Le #16329881
Samuel Colin 14 juil. 2008 17:33:30, écrivait ceci:

Salut,

Tu t'en étais quand même bien sorti puisque tu avais deviné qu'il
te fallait build-essential.



YEEESSS! Je suis donc apte au linux ;-)


Ces commandes sont disponibles hors ligne ?



Oui, dpkg et apt-cache font partie des commandes dites «de base»
sur une distribution basée sur Debian (telle que Ubuntu).



L'inconvénient lors qu'on à pas internet, est la difficulté à trouver
l'information sur la syntaxe.

Essaie quand même de vérifier si madwifi existe et est à une
version récente dans ta Ubuntu. De quelle version de Ubuntu
s'agit-il, au juste ?



C'est la version installée par wubi soit Ubuntu 8.04.1 LTS (Hardy
Heron).

En fait je m'en suis sorti, mais je suis déçu par la méthode. J'ai tout
simplement téléchargé l'ISO, gravé sur un CD puis ajouté le package
build-essential (pourquoi n'est-il pas installé par défaut ?). Ensuite
c'est du gâtô.... compilation du driver madwifi (<http://doc.ubuntu-
fr.org/atheros_ar5007eg>), installation, rebootation => internet puis
misàjourisation. Voilà maintenant il ne reste plus qu'à jouer avec.

Merci en tout cas pour ton support ;-)
Samuel Colin
Le #16330781
Dixit Gilles RONSIN :



Oui, dpkg et apt-cache font partie des commandes dites «de base»
sur une distribution basée sur Debian (telle que Ubuntu).



L'inconvénient lors qu'on à pas internet, est la difficulté à trouver
l'information sur la syntaxe.



Une réponse que tu pourras avoir souvent dans les forums est «man
commande». Cela signifie que tu lances un terminal et que tu tapes «man
la-commande-dont-tu-veux-connaître-l'utilisation».
Genre «man dpkg» pour «man apt-get». Et après yapuka lire pour avoir la
syntaxe et l'utilisation de la commande.
Autre commande du même accabit : «info».
Et pour chercher une info parmi les pages de manuel : «apropos».

En fait je m'en suis sorti, mais je suis déçu par la méthode. J'ai tout
simplement téléchargé l'ISO, gravé sur un CD puis ajouté le package
build-essential (pourquoi n'est-il pas installé par défaut ?).



Parce que l'utilisateur lambda n'a idéalement pas besoin de recompiler
des trucs et que les outils de compilation prennent de la place sur le
CD, place qui pourrait être dédiée à un lecteur multimédia ou autre
chose qui réponde plus directement aux besoins de madame Michu.

Merci en tout cas pour ton support ;-)



En tout cas ça a confirmé mon intuition que le support de ton
périphérique réseau était devenu stable dans madwifi.
Pas d'quoi.
Gilles RONSIN
Le #16334331
Samuel Colin 15 juil. 2008 14:21:28, écrivait ceci:

Re
Une réponse que tu pourras avoir souvent dans les forums est «man
commande». Cela signifie que tu lances un terminal et que tu tapes
«man la-commande-dont-tu-veux-connaître-l'utilisation».
Genre «man dpkg» pour «man apt-get». Et après yapuka lire pour
avoir la syntaxe et l'utilisation de la commande.
Autre commande du même accabit : «info».
Et pour chercher une info parmi les pages de manuel : «apropos».



J'en prend note. J'ai essayé sur une Mandriva dans une VMWare mais "pas
de page de manuel pour dpkg". Sans doute un package à installer.
J'essaierai sur mon Ubuntu tout neuf.

Parce que l'utilisateur lambda n'a idéalement pas besoin de
recompiler des trucs et que les outils de compilation prennent de
la place sur le CD, place qui pourrait être dédiée à un lecteur
multimédia ou autre chose qui réponde plus directement aux besoins
de madame Michu.



J'imagine madame Michu se retrouvant dans ma situation... pas de
compilateur => pas de driver réseau donc pas internet.
pas internet => pas d'info ni de compilateur.
Samuel Colin
Le #16338881
Dixit Gilles RONSIN :

J'en prend note. J'ai essayé sur une Mandriva dans une VMWare mais "pas
de page de manuel pour dpkg". Sans doute un package à installer.
J'essaierai sur mon Ubuntu tout neuf.



Euh, c'est normal sur une Mandriva, dpkg n'existe pas. L'équivalent sous
Mandriva est "rpm", et l'équivalent d'apt-get "urpmi" je crois (à moins
que ce ne soit yum ?).
On retrouvera en revanche dpkg et consorts sur tout ce qui est basé sur
Debian (donc, Ubuntu, par exemple).
Fabien LE LEZ
Le #16340581
On Wed, 16 Jul 2008 11:46:12 +0200, Samuel Colin

et l'équivalent d'apt-get "urpmi" je crois



Il me semble que c'est bien ça.

(à moins
que ce ne soit yum ?).



Non, yum c'est pour Fedora et Red Hat (et donc CentOS aussi je
suppose).
Fabien LE LEZ
Le #16340591
On Wed, 16 Jul 2008 11:46:12 +0200, Samuel Colin

et l'équivalent d'apt-get "urpmi" je crois



Il me semble que c'est bien ça.

(à moins
que ce ne soit yum ?).



Non, yum c'est pour Fedora et Red Hat (et donc CentOS aussi je
suppose).
Publicité
Poster une réponse
Anonyme